#include "engine.h"
#include <input.h>
#include "scene.h"
#include "cameranode.h"
#include "resourcemanager.h"
#include "sparrowrenderer.h"

int main(){
    CameraNode camera;
    RESOURCE_ADD(&camera, SceneNode, "camera");

    Scene scene("testScene");
    scene.addChild("camera");

    Engine engine;
    engine.getRenderer()->setCamera(&camera);
    engine.createWindow("test");
    engine.setScene("testScene");
    engine.start();
}
